Bug 166188 - [PATCH] ports/Makefile use documented sort syntax
Summary: [PATCH] ports/Makefile use documented sort syntax
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 22:30 UTC by lgfbsd
Modified: 2019-09-04 14:08 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (660 bytes, patch)
2012-03-16 22:30 UTC, lgfbsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lgfbsd 2012-03-16 22:30:00 UTC
ports/Makefile uses a very old syntax for sort(1) in building an INDEX file.

Fix: I'm not 100% sure of the field counts in the patch, because the old
syntax isn't very precisely documented. I did some quick tests to
check it, though, so I think it's probably correct.
How-To-Repeat: 
Try to build INDEX with textproc/bsdsort.
Trying to force Gnu sort into POSIX mode might do it also.
Comment 1 Chris Rees freebsd_committer 2012-03-17 00:31:24 UTC
Class Changed
From-To: change-request->sw-bug
Comment 2 Chris Rees freebsd_committer 2012-03-17 00:31:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

PR for portmgr
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-06-02 02:50:48 UTC
Infrastructure PR.
Comment 4 Bartek Rutkowski freebsd_committer 2017-02-25 17:25:31 UTC
Portmgr guys, any comments on that? Should it be closed?
Comment 5 commit-hook freebsd_committer 2019-09-04 14:07:59 UTC
A commit references this bug:

Author: bapt
Date: Wed Sep  4 14:07:49 UTC 2019
New revision: 511095
URL: https://svnweb.freebsd.org/changeset/ports/511095

Log:
  Use sort with "modern" option

  When building index we were using obsolete (but still supported options)
  let use the non obsolete one.

  PR:		166188
  Submitted by:	lgfbsd@be-well.ilk.org

Changes:
  head/Makefile